DRM_FB_HELPER_HOTPLU(9)

NAME
drm_fb_helper_hotplug_event - respond to a hotplug notification by probing all the outputs attached to the fb

SYNOPSIS

int drm_fb_helper_hotplug_event(struct drm_fb_helper * fb_helper);

ARGUMENTS

fb_helper
    the drm_fb_helper

DESCRIPTION

Scan the connectors attached to the fb_helper and try to put together a setup after *notification of a change in output configuration.

Called at runtime, takes the mode config locks to be able to check/change the modeset configuration. Must be run from process context (which usually means either the output polling work or a work item launched from the driver's hotplug interrupt).

Note that drivers may call this even before calling drm_fb_helper_initial_config but only aftert drm_fb_helper_init. This allows for a race-free fbcon setup and will make sure that the fbdev emulation will not miss any hotplug events.

RETURNS

0 on success and a non-zero error code otherwise.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT